#include <DHT.h>
#include <LiquidCrystal.h>


DHT DHT_sensor(7, DHT11);
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

int fanPin = 9;
float temp;
int humi;


void setup() {
  Serial.begin(9600);
  DHT_sensor.begin();
  lcd.begin(16, 2);
  pinMode(fanPin, OUTPUT);

}

void loop() {

  temp = DHT_sensor.readTemperature();
  humi = DHT_sensor.readHumidity();

  lcd.setCursor(0, 0);
  lcd.print("T:");
  lcd.print(temp);
  lcd.print("C");
  lcd.print("   H:");
  lcd.print(humi);
  lcd.println("%");

  int fanSpeed;
  if(temp>= 30.0){
    fanSpeed = 255;
  } else if (temp >= 20.0) {
      fanSpeed = 150; 
    } else {
      fanSpeed = 75; 
    }

  analogWrite(fanPin, fanSpeed);
  lcd.setCursor(0,1);
  lcd.print("Speed:");
  lcd.print(fanSpeed);
  delay(2000);
}
